Campaigns (Touches)
Get Campaign
Retrieve additional details on a specific campaign.
GET
/
api
/
v3
/
touches
/
{touch_id}
Get Campaign
curl --request GET \
--url https://app.staging.sendo.so/api/v3/touches/{touch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.staging.sendo.so/api/v3/touches/{touch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.staging.sendo.so/api/v3/touches/{touch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"touch": {
"id": 123456,
"name": "Sendoso Gift",
"start_date": "2023-10-25T00:00:00.000-07:00",
"end_date": null,
"description": "",
"created_at": "2023-10-25T05:21:59.000-07:00",
"user_id": 78901,
"gift_id": 39,
"starting_egift_price": null,
"ending_egift_price": null,
"status": "Active",
"is_default_price": true,
"delivery_type": "mail",
"hubspot_key": null,
"ship_to_countries": ["US", "ES", "CA"],
"currency": "USD"
}
}
{
"message": "Touch not found!"
}
Parameters
integer
required
The campaign identifier.
Response
boolean
required
Whether or not the request was successful. Always
true for 200 response.array
required
Hide touch
Hide touch
integer
required
The campaign’s identifier.
string
required
The campaign’s name.
string
required
The campaign’s start date (in
ISO 8601 format). Gifts cannot be sent for this campaign before this start date.string
The campaign’s end date (in
ISO 8601 format). Gifts cannot be sent for this campaign after this end date.string
required
The campaign’s description.
string
required
The campaign’s creation date (in
ISO 8601 format).integer
required
The identifier of the user that created this campaign.
integer
required
The campaign’s general gift identifier.
number
The campaign’s
starting_egift_price and ending_egift_price represent the range amount from which the sender can pick the egift denominiation to send. Only present for eGift campaigns. When this range is present, is_default_price will be false.number
The campaign’s
starting_egift_price and ending_egift_price represent the range amount from which the sender can pick the egift denominiation to send. Only present for eGift campaigns. When this range is present, is_default_price will be false.string
required
The campaign’s status. It will ALWAYS be
Active since this endpoint only returns active campaigns.boolean
required
Whether or not the sender can pick the eGift amount from a range or if it is a set price.
string
required
The type of gift that is associated to this campaign. Valid options are
mail which means physical item or email which means eGift.string
required
The campaign’s key to be used for HubSpot integration.
array
required
List of countries that this campaign’s gift(s) can be sent to (in
ISO 3166-1 alpha-2 format).string
required
The campaign’s gift currency (in
ISO 4217 format).{
"success": true,
"touch": {
"id": 123456,
"name": "Sendoso Gift",
"start_date": "2023-10-25T00:00:00.000-07:00",
"end_date": null,
"description": "",
"created_at": "2023-10-25T05:21:59.000-07:00",
"user_id": 78901,
"gift_id": 39,
"starting_egift_price": null,
"ending_egift_price": null,
"status": "Active",
"is_default_price": true,
"delivery_type": "mail",
"hubspot_key": null,
"ship_to_countries": ["US", "ES", "CA"],
"currency": "USD"
}
}
{
"message": "Touch not found!"
}
Previous
Retrieve All SendsRetrieves a list of all sends initiated by anyone in the organization.
Next
⌘I
Get Campaign
